Skip to main content
POST
Send Bulk SMS to Multiple Recipients

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Body

application/json
recipients
string[]
required

List of recipient phone numbers up to 5,000 per request (accepted field aliases: "phones", "to", "messages"; items may also be objects with { to, message, sender_id }).

Example:
message
string
required

SMS broadcast message body (accepted field aliases: "text", "body").

Example:

"Important community update from UgaText."

sender_id
string
required

Approved alphanumeric Sender ID (e.g. "UGATEXT"; accepted field aliases: "senderId", "from"). Required — missing, blank, or unapproved values return 403 SENDER_ID_NOT_APPROVED.

Example:

"UGATEXT"

Response

Bulk messages processed with one result per recipient

success
boolean
Example:

true

batch_id
string
Example:

"batch_1760425200000_1a2b3c4d"

status
string
Example:

"queued"

sender_id
string
Example:

"UGATEXT"

mode
enum<string>
Available options:
live,
sandbox,
mixed
Example:

"sandbox"

total_recipients
integer
Example:

2

total_accepted
integer
Example:

2

dispatched_count
integer
Example:

2

failed_count
integer
Example:

0

total_segments
integer
Example:

2

total_units
integer
Example:

2

estimated_cost_ugx
number
Example:

25

total_cost_ugx
number
Example:

25

currency
string
Example:

"UGX"

results
object[]